Get the details of a specific snippet match
https://app.fossa.com/api/revisions/{locator}/snippets/{snippetId}/matches/{path}Retrieve detailed match information for a snippet at a specific path, including reference and detected code lines.
Path parameters
locatorstringrequiredThe revision locator
snippetIdstringrequiredThe unique identifier of the snippet
pathstringrequiredThe file path where the snippet match occurred
Responses
200Successfully retrieved snippet match detailsmatchDetailsobjectrequired400Bad RequestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
401UnauthorizeduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404Snippet match details not founduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/revisions/%7Blocator%7D/snippets/%7BsnippetId%7D/matches/%7Bpath%7Dcurl --request GET \ --url 'https://app.fossa.com/api/revisions/%7Blocator%7D/snippets/%7BsnippetId%7D/matches/%7Bpath%7D' \ --header 'accept: application/json'Real request. Mutating methods can change data.
Path params
locatorstringrequiredThe revision locator
snippetIdstringrequiredThe unique identifier of the snippet
pathstringrequiredThe file path where the snippet match occurred